Billing API
Generierte OpenAPI-Referenz für die Billing-API-Oberfläche.
Überblick
Billing-Endpoints gehören zur öffentlichen Everyn-API. Organisationsbezogene Abfragen zur menschlichen Abrechnung sowie Abrechnungsänderungen durch Eigentümer und Administratoren.
Endpunkte
Die generierte OpenAPI-Komponente unten enthält Request-Parameter, Request Bodies, Response Bodies, Statuscodes und Schemas für dieses Tag. Die statische Zusammenfassung hält Zweck, Authentifizierung, Schemanamen und Hinweise zur API-Fehlerbehandlung verfügbar, bevor die interaktive Referenz geladen ist.
Die Details unten sind statisches HTML aus demselben OpenAPI-Schema und bleiben ohne clientseitiges JavaScript lesbar. Die interaktive Komponente danach ergänzt ausklappbare Beispiele und Schema-Browsing.
Endpoint-Zusammenfassung für den schnellen Überblick vor der generierten Referenz:
| Methode | Pfad | Zweck | Authentifizierung | Request Body / Schema | Erfolgs-Response / Schema | Fehler |
|---|---|---|---|---|---|---|
POST | /v1/billing/stripe/webhooks | Stripe-Abrechnungs-Webhook empfangen | Bearer-Token (BearerAuth) | Keine. | 202 Keine | API-Fehler: 400, 401, 403, 404, 409, 429 |
GET | /v1/organizations/{organization_id}/billing | Abrechnungsübersicht abrufen | Bearer-Token (BearerAuth) | Keine. | 200 application/json: BillingOverviewResponse | API-Fehler: 400, 401, 403, 404, 409, 422, 429 |
GET | /v1/organizations/{organization_id}/billing/cancellation | Möglichkeiten zur Vertragskündigung ermitteln | Bearer-Token (BearerAuth) | Keine. | 200 application/json: CancellationDiscoveryNoneResponse oder CancellationDiscoveryFoundResponse | API-Fehler: 400, 401, 403, 404, 409, 422, 429 |
POST | /v1/organizations/{organization_id}/billing/cancellation | Vertragskündigung anfordern | Bearer-Token (BearerAuth) | application/json: CancellationRequestBody | 201 application/json: CancellationResponse | API-Fehler: 400, 401, 403, 404, 409, 422, 429 |
POST | /v1/organizations/{organization_id}/billing/cancellation/{cancellation_id}/withdrawal | Vertragskündigung zurücknehmen | Bearer-Token (BearerAuth) | application/json: CancellationWithdrawalRequestBody | 200 application/json: CancellationResponse | API-Fehler: 400, 401, 403, 404, 409, 422, 429 |
GET | /v1/organizations/{organization_id}/billing/history | Abrechnungshistorie auflisten | Bearer-Token (BearerAuth) | Keine. | 200 application/json: BillingHistoryListResponse | API-Fehler: 400, 401, 403, 404, 409, 422, 429 |
GET | /v1/organizations/{organization_id}/billing/history/{history_item_id} | Detail der Abrechnungshistorie abrufen | Bearer-Token (BearerAuth) | Keine. | 200 application/json: BillingHistoryDetailResponse | API-Fehler: 400, 401, 403, 404, 409, 422, 429 |
POST | /v1/organizations/{organization_id}/billing/paid-checkouts | Bezahlten Checkout starten | Bearer-Token (BearerAuth) | application/json: PaidCheckoutStartRequestBody | 200 application/json: PaidCheckoutReconciledResponse201 application/json: PaidCheckoutStartResponse202 application/json: PaidCheckoutPreparingResponse | API-Fehler: 400, 401, 403, 404, 409, 422, 429 |
POST | /v1/organizations/{organization_id}/billing/paid-checkouts/complete-return | Rückgabe des bezahlten Checkouts abschließen | Bearer-Token (BearerAuth) | application/json: PaidCheckoutCompleteReturnRequestBody | 200 application/json: PaidCheckoutStatusResponse | API-Fehler: 400, 401, 403, 404, 409, 422, 429 |
GET | /v1/organizations/{organization_id}/billing/paid-checkouts/{paid_checkout_intent_id} | Status des bezahlten Checkouts abrufen | Bearer-Token (BearerAuth) | Keine. | 200 application/json: PaidCheckoutStatusResponse | API-Fehler: 400, 401, 403, 404, 409, 422, 429 |
POST | /v1/organizations/{organization_id}/billing/payment-method-setups | Einrichtung der Zahlungsmethode starten | Bearer-Token (BearerAuth) | application/json: PaymentMethodSetupStartRequestBody oder null | 201 application/json: PaymentMethodSetupStartResponse | API-Fehler: 400, 401, 403, 404, 409, 422, 429 |
POST | /v1/organizations/{organization_id}/billing/payment-method-setups/complete-return | Rückgabe der Einrichtung der Zahlungsmethode abschließen | Bearer-Token (BearerAuth) | application/json: PaymentMethodSetupCompleteReturnRequestBody | 200 application/json: PaymentSetupStatusResponse | API-Fehler: 400, 401, 403, 404, 409, 422, 429 |
GET | /v1/organizations/{organization_id}/billing/payment-method-setups/{hosted_setup_intent_id} | Status der Einrichtung der Zahlungsmethode abrufen | Bearer-Token (BearerAuth) | Keine. | 200 application/json: PaymentSetupStatusResponse | API-Fehler: 400, 401, 403, 404, 409, 422, 429 |
GET | /v1/organizations/{organization_id}/billing/plan-transition | Planwechsel ermitteln | Bearer-Token (BearerAuth) | Keine. | 200 application/json: PlanTransitionDiscoveryNoneResponse oder PlanTransitionDiscoveryFoundResponse | API-Fehler: 400, 401, 403, 404, 409, 422, 429 |
GET | /v1/organizations/{organization_id}/billing/plan-transition-quote | Angebot für Planwechsel abrufen | Bearer-Token (BearerAuth) | Keine. | 200 application/json: PlanTransitionQuoteResponse | API-Fehler: 400, 401, 403, 404, 409, 422, 429 |
POST | /v1/organizations/{organization_id}/billing/plan-transitions | Planwechsel anfordern | Bearer-Token (BearerAuth) | application/json: PlanTransitionRequestBody | 201 application/json: PlanTransitionStartResponse | API-Fehler: 400, 401, 403, 404, 409, 422, 429 |
POST | /v1/organizations/{organization_id}/billing/plan-transitions/complete-return | Rückgabe des Planwechsels abschließen | Bearer-Token (BearerAuth) | application/json: PlanTransitionCompleteReturnRequestBody | 200 application/json: PlanTransitionResponse | API-Fehler: 400, 401, 403, 404, 409, 422, 429 |
GET | /v1/organizations/{organization_id}/billing/plan-transitions/{plan_transition_id} | Status des Planwechsels abrufen | Bearer-Token (BearerAuth) | Keine. | 200 application/json: PlanTransitionResponse | API-Fehler: 400, 401, 403, 404, 409, 422, 429 |
POST | /v1/organizations/{organization_id}/billing/portal-sessions | Abrechnungsportal-Sitzung starten | Bearer-Token (BearerAuth) | Keine. | 201 application/json: BillingPortalSessionResponse | API-Fehler: 400, 401, 403, 404, 409, 422, 429 |
GET | /v1/organizations/{organization_id}/billing/recovery | Informationen zur Erneuerungserholung abrufen | Bearer-Token (BearerAuth) | Keine. | 200 application/json: RenewalRecoveryResponse | API-Fehler: 400, 401, 403, 404, 409, 422, 429 |
POST | /v1/organizations/{organization_id}/billing/recovery/stop-to-free | Erneuerung auf den kostenlosen Plan stoppen | Bearer-Token (BearerAuth) | application/json: RenewalRecoveryStopRequestBody | 200 application/json: RenewalRecoveryResponse | API-Fehler: 400, 401, 403, 404, 409, 422, 429 |
PUT | /v1/organizations/{organization_id}/billing/row-budget | Zeilenbudget ändern | Bearer-Token (BearerAuth) | application/json: RowBudgetChangeRequestBody | 200 application/json: RowBudgetChangeResponse | API-Fehler: 400, 401, 403, 404, 409, 422, 429 |
GET | /v1/organizations/{organization_id}/billing/statements | Abrechnungsbelege auflisten | Bearer-Token (BearerAuth) | Keine. | 200 application/json: BillingStatementListResponse | API-Fehler: 400, 401, 403, 404, 409, 422, 429 |
GET | /v1/organizations/{organization_id}/billing/statements/{statement_id} | Abrechnungsbeleg abrufen | Bearer-Token (BearerAuth) | Keine. | 200 application/json: BillingStatementDetailResponse | API-Fehler: 400, 401, 403, 404, 409, 422, 429 |
GET | /v1/organizations/{organization_id}/billing/top-up-receipts | Aufstockungsbelege auflisten | Bearer-Token (BearerAuth) | Keine. | 200 application/json: TopUpReceiptListResponse | API-Fehler: 400, 401, 403, 404, 409, 422, 429 |
POST | /v1/organizations/{organization_id}/billing/top-ups | Aufstockung starten | Bearer-Token (BearerAuth) | application/json: TopUpStartRequestBody | 201 application/json: TopUpIntentResponse | API-Fehler: 400, 401, 403, 404, 409, 422, 429 |
GET | /v1/organizations/{organization_id}/billing/top-ups/{top_up_intent_id} | Status der Aufstockung abrufen | Bearer-Token (BearerAuth) | Keine. | 200 application/json: TopUpIntentResponse | API-Fehler: 400, 401, 403, 404, 409, 422, 429 |
API-Referenz wird geladen...